## ros-noetic-fmi-adapter-examples 1.0.4

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(fmi_adapter_examples)

find_package(catkin REQUIRED)

catkin_package(
#  INCLUDE_DIRS include
#  LIBRARIES fmi_adapter_examples
#  CATKIN_DEPENDS fmi_adapter roscpp
#  DEPENDS system_lib
)

install(DIRECTORY launch/
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/launch
)
install(DIRECTORY share/
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/share
)

=== debian/changelog ===
ros-noetic-fmi-adapter-examples (1.0.4-1focal) focal; urgency=high

  * Ensured same relative location for sample FMUs in devel and install layout.

 -- Ralph Lange <ralph.lange@de.bosch.com>  Sun, 21 Mar 2021 23:00:00 -0000

ros-noetic-fmi-adapter-examples (1.0.3-1focal) focal; urgency=high

  * Updated instructions for FMU export from OpenModelica.
  * Created explicit output revolute1_angle.

 -- Ralph Lange <ralph.lange@de.bosch.com>  Wed, 29 Jan 2020 23:00:00 -0000

ros-noetic-fmi-adapter-examples (1.0.2-1focal) focal; urgency=high

  * Added two sample FMUs with corresponding launch files.

 -- Ralph Lange <ralph.lange@de.bosch.com>  Thu, 11 Oct 2018 22:00:00 -0000

ros-noetic-fmi-adapter-examples (1.0.1-1focal) focal; urgency=high

  * Throwing runtime_error in case of failed fmi2 function call in FMIAdapter.

 -- Ralph Lange <ralph.lange@de.bosch.com>  Sun, 15 Jul 2018 22:00:00 -0000

ros-noetic-fmi-adapter-examples (1.0.0-1focal) focal; urgency=high

  * Initial version.

 -- Ralph Lange <ralph.lange@de.bosch.com>  Thu, 12 Jul 2018 22:00:00 -0000

=== debian/control ===
Source: ros-noetic-fmi-adapter-examples
Section: misc
Priority: optional
Maintainer: Ralph Lange <ralph.lange@de.bosch.com>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin
Homepage: http://wiki.ros.org/fmi_adapter
Standards-Version: 3.9.2

Package: ros-noetic-fmi-adapter-examples
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-fmi-adapter, ros-noetic-roscpp, ros-noetic-rqt-plot
Description: Provides small examples for use of the fmi_adapter package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-fmi-adapter-examples//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install
